# -*- encoding: utf-8 -*-
# stub: bundler-audit 0.9.1 ruby lib

Gem::Specification.new do |s|
  s.name = "bundler-audit".freeze
  s.version = "0.9.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.8.0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "rubygems_mfa_required" => "true" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Postmodern".freeze]
  s.date = "2023-06-21"
  s.description = "bundler-audit provides patch-level verification for Bundled apps.".freeze
  s.email = "postmodern.mod3@gmail.com".freeze
  s.executables = ["bundle-audit".freeze, "bundler-audit".freeze]
  s.extra_rdoc_files = ["COPYING.txt".freeze, "ChangeLog.md".freeze, "README.md".freeze]
  s.files = [".document".freeze, ".github/FUNDING.yml".freeze, ".github/ISSUE_TEMPLATE/bug-report.md".freeze, ".github/ISSUE_TEMPLATE/feature-request.md".freeze, ".github/workflows/ruby.yml".freeze, ".gitignore".freeze, ".rspec".freeze, ".rubocop.yml".freeze, ".yardopts".freeze, "COPYING.txt".freeze, "ChangeLog.md".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "bin/bundle-audit".freeze, "bin/bundler-audit".freeze, "bundler-audit.gemspec".freeze, "gemspec.yml".freeze, "lib/bundler/audit.rb".freeze, "lib/bundler/audit/advisory.rb".freeze, "lib/bundler/audit/cli.rb".freeze, "lib/bundler/audit/cli/formats.rb".freeze, "lib/bundler/audit/cli/formats/json.rb".freeze, "lib/bundler/audit/cli/formats/junit.rb".freeze, "lib/bundler/audit/cli/formats/text.rb".freeze, "lib/bundler/audit/cli/thor_ext/shell/basic/say_error.rb".freeze, "lib/bundler/audit/configuration.rb".freeze, "lib/bundler/audit/database.rb".freeze, "lib/bundler/audit/report.rb".freeze, "lib/bundler/audit/results.rb".freeze, "lib/bundler/audit/results/insecure_source.rb".freeze, "lib/bundler/audit/results/result.rb".freeze, "lib/bundler/audit/results/unpatched_gem.rb".freeze, "lib/bundler/audit/scanner.rb".freeze, "lib/bundler/audit/task.rb".freeze, "lib/bundler/audit/version.rb".freeze, "spec/advisory_spec.rb".freeze, "spec/audit_spec.rb".freeze, "spec/bundle/insecure_sources/Gemfile".freeze, "spec/bundle/insecure_sources/Gemfile.lock".freeze, "spec/bundle/secure/Gemfile".freeze, "spec/bundle/secure/Gemfile.lock".freeze, "spec/bundle/unpatched_gems/Gemfile".freeze, "spec/bundle/unpatched_gems/Gemfile.lock".freeze, "spec/bundle/unpatched_gems_with_dot_configuration/.bundler-audit.yml".freeze, "spec/bundle/unpatched_gems_with_dot_configuration/Gemfile".freeze, "spec/bundle/unpatched_gems_with_dot_configuration/Gemfile.lock".freeze, "spec/cli/formats/json_spec.rb".freeze, "spec/cli/formats/junit_spec.rb".freeze, "spec/cli/formats/text_spec.rb".freeze, "spec/cli/formats_spec.rb".freeze, "spec/cli_spec.rb".freeze, "spec/configuration_spec.rb".freeze, "spec/database_spec.rb".freeze, "spec/fixtures/advisory/CVE-2020-1234.yml".freeze, "spec/fixtures/advisory/not_a_hash.yml".freeze, "spec/fixtures/config/bad/empty.yml".freeze, "spec/fixtures/config/bad/ignore_contains_a_non_string.yml".freeze, "spec/fixtures/config/bad/ignore_is_not_an_array.yml".freeze, "spec/fixtures/config/valid.yml".freeze, "spec/fixtures/lib/bundler/audit/cli/formats/bad.rb".freeze, "spec/fixtures/lib/bundler/audit/cli/formats/good.rb".freeze, "spec/integration_spec.rb".freeze, "spec/report_spec.rb".freeze, "spec/results/insecure_source_spec.rb".freeze, "spec/results/result_spec.rb".freeze, "spec/results/unpatched_gem_spec.rb".freeze, "spec/scanner_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://github.com/rubysec/bundler-audit#readme".freeze
  s.licenses = ["GPL-3.0+".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Patch-level verification for Bundler".freeze
  s.test_files = ["spec/advisory_spec.rb".freeze, "spec/audit_spec.rb".freeze, "spec/cli/formats/json_spec.rb".freeze, "spec/cli/formats/junit_spec.rb".freeze, "spec/cli/formats/text_spec.rb".freeze, "spec/cli/formats_spec.rb".freeze, "spec/cli_spec.rb".freeze, "spec/configuration_spec.rb".freeze, "spec/database_spec.rb".freeze, "spec/integration_spec.rb".freeze, "spec/report_spec.rb".freeze, "spec/results/insecure_source_spec.rb".freeze, "spec/results/result_spec.rb".freeze, "spec/results/unpatched_gem_spec.rb".freeze, "spec/scanner_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<thor>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<bundler>.freeze, [">= 1.2.0", "< 3"])
  else
    s.add_dependency(%q<thor>.freeze, ["~> 1.0"])
    s.add_dependency(%q<bundler>.freeze, [">= 1.2.0", "< 3"])
  end
end
